<!-- GENERATED BY A EUPHORIA PROGRAM. DO NOT EDIT! -->


<html>
<head><title>Guide to Documentation Files</title>
<style type="text/css">
<!--
body        {background-color: "#FFFFFF";}
a           {text-decoration: none;}
a:link      {color: "#0033BB"; text-decoration: underline;}
a:visited   {color: "#006699"; text-decoration: underline;}
a:active    {color: red; text-decoration: underline;}
a:hover     {color: red; text-decoration: underline;}
a.blue    {text-decoration: none;}
a.blue:link      {color: "#5500FF"; text-decoration: underline;}
a.blue:visited   {color: "#5500FF"; text-decoration: underline;}
a.blue:active    {color: red; text-decoration: underline;}
a.blue:hover     {color: red; text-decoration: underline;}
a.brown      {text-decoration: none;}
a.brown:link      {color: "#993333"; text-decoration: underline;}
a.brown:visited   {color: "#993333"; text-decoration: underline;}
a.brown:active    {color: red; text-decoration: underline;}
a.brown:hover     {color: red; text-decoration: underline;}
-->
</style>

</head>
<body bgcolor="#FFFFFF" link="#0033BB" vlink="#006699">
<table width=90% border=0><tr><td>

<center><font face="Arial, Helvetica" color="#FF0099" size=+2>
<br>
 Guide to Documentation Files
</font></center>
<p>&nbsp;<br>

 The Euphoria documentation is spread over several plain text files in the
 <font color="#5500FF"><b>euphoria\doc</b></font> directory. For each
 <b>.doc</b> file in the <font color="#5500FF"><b>euphoria\doc</b></font>
 directory, there is a corresponding <b>.htm</b> file in the
 <font color="#5500FF"><b>euphoria\html</b></font> directory. You can also
 type <font color="#993333"><b>guru</b></font> to quickly search for relevant
 information from all directories under
 <font color="#5500FF"><b>\euphoria</b></font>. 

<p>
 Everyone should start with 
 <font color="#5500FF"><b>euphoria\readme.doc</b></font>
 (<font color="#5500FF"><b>euphoria\readme.htm</b></font>).
<p> 
 If you are having trouble installing Euphoria read:
<p>
<table border=0 cellspacing=2 cellpadding=2>
 
<tr><td width=24 nowrap></td><td valign=top><a href="install.htm"><b>install.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>Instructions for installing Euphoria</td></tr>


</table>

<p>
 Read the following files first, if you want to learn to program in
 Euphoria:
<p>
<table border=0 cellspacing=2 cellpadding=2>

<tr><td width=24 nowrap></td><td valign=top><a href="refman.htm"><b>refman.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>The manual for the Euphoria core language</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="library.htm"><b>library.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>Documentation for all of the Euphoria library routines</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="what2do.htm"><b>what2do.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>Some things you can do to get started with Euphoria</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="platform.htm"><b>platform.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>A discussion of the differences between the four
   <font color="#993333"><b><i>platforms</i></b></font>
   that Euphoria runs on, i.e.
   <font color="#CC3366"><b>DOS32</b></font>
   (<font color="#993333"><b>ex.exe</b></font>)
   vs. 
   <font color="#CC3366"><b>WIN32</b></font>
   (<font color="#993333"><b>exw.exe</b></font>)
   vs. 
   <font color="#CC3366"><b>Linux</b></font>
   (<font color="#993333"><b>exu</b></font>)
   vs. 
   <font color="#CC3366"><b>FreeBSD</b></font>
   (<font color="#993333"><b>exu</b></font>). Also included is a discussion
   of how to interface Euphoria programs with C libraries.</td></tr>

</table>

<p>
 The rest of the files can be read any time, as needed:
<p>
<table border=0 cellspacing=2 cellpadding=2>

<tr><td width=24 nowrap></td><td valign=top><a href="database.htm"><b>database.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>The Euphoria Database System (EDS)</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="e2c.htm"><b>e2c.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>The Euphoria To C Translator</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="tasking.htm"><b>tasking.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>Multitasking in Euphoria</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="ed.htm"><b>ed.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>Documentation for the standard Euphoria editor,
   <font color="#993333"><b>ed</b></font></td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="trouble.htm"><b>trouble.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>A list of the most common problems and their solutions</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="bind.htm"><b>bind.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>Describes <font color="#5500FF"><b>bind.bat</b></font> and
   <font color="#5500FF"><b>shroud.bat</b></font> options for
   <font color="#993333"><b>binding</b></font> and
   <font color="#993333"><b>shrouding</b></font></td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="perform.htm"><b>perform.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>Performance tips</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="relnotes.htm"><b>relnotes.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>A description of what's new in the current release and
   a summary of previous releases of Euphoria</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="cgi.htm"><b>cgi.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>Web-based Programming using CGI and Euphoria</td></tr>


<tr><td width=24 nowrap></td><td valign=top><a href="c.htm"><b>c.doc</b></a></td>
<td width=10 align=center valign=top>-</td>
<td>Propaganda aimed at C/C++ programmers</td></tr>


</table>

<p>
 Most subdirectories under <font color="#5500FF"><b>\euphoria</b></font> have
 a <b>.doc</b> file that describes the files in that subdirectory. 
 
<p>&nbsp;

</td></tr></table>

</body>
</html>

